> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

### GET /locations/:location\_id/treatment\_plans

This endpoint retrieves appointments for a specific location.

#### Parameters

* location\_id (required): The ID of the location for which patients are to be retrieved.
* after: A parameter to specify the cursor for pagination.
* items: A parameter to specify the number of items to be returned.
* The `q[fetch_modified_since]` is used to capture the delta changes, pass the datetime in UTC as shown in example below

```json theme={null}
{
    "q": {
        "fetch_modified_since": "2025-12-02T01:58:00.164Z"
    }
}
```

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/treatment_plans?items=500" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{
      "q": {
        "fetch_modified_since": "2025-12-01T01:58:00.164Z"
      }
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/treatment_plans?items=500&q[fetch_modified_since]=2025-12-01T01%3A58%3A00.164Z", {
    headers: {
      "Authorization": "Bearer YOUR_ACCESS_TOKEN"
    }
  })

  const data = await response.json()
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/treatment_plans?items=500",
      headers={"Authorization": "Bearer YOUR_ACCESS_TOKEN"},
      json={
        "q": {
          "fetch_modified_since": "2025-12-01T01:58:00.164Z"
        }
      }
  )

  data = response.json()
  ```

  ```ruby Ruby theme={null}
  require "net/http"
  require "json"

  uri = URI("https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/treatment_plans?items=500")
  request = Net::HTTP::Get.new(uri)
  request["Authorization"] = "Bearer YOUR_ACCESS_TOKEN"
  request["Content-Type"] = "application/json"
  request.body = JSON.dump({
    "q" => {
      "fetch_modified_since" => "2025-12-01T01:58:00.164Z"
    }
  })

  response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
    http.request(request)
  end

  data = JSON.parse(response.body)
  ```
</CodeGroup>

#### Response

* Content-Type: application/json

```json theme={null}
{
    "data": [
           {
            "id": "466",
            "type": "treatment_plan",
            "attributes": {
                "patient_id": 12421,
                "appointment_id": 1607858,
                "presented_by_id": 46,
                "state": "treatment_pending",
                "presentation_type": "has_presentation",
                "patient_decision_type": "scheduled",
                "patient_decision_at": "2021-12-19T15:36:49.000Z",
                "presented_at": "2021-12-19T15:36:55.000Z",
                "completed_at": null,
                "patient_dollars": 309.7,
                "insurance_dollars": 1164.8,
                "provider_id": 25
           }
    ],
    "pagy": {
        "total": 1,
        "items": 1
    }
}
```
